#version 430 core

layout (location = 0) in vec3 position;

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;
uniform mat4 projMatrix;
uniform mat3 normalMatrix;

out vec3 TexCoord0;

void main()
{
    TexCoord0 = position;
    vec4 position_world_ = projMatrix * viewMatrix * modelMatrix * vec4(position, 1);
	gl_Position = position_world_.xyww;    
} 