#version 430 core

layout(location = 0) in vec3 position;
layout(location = 1) in mat4 modelMatrix;
layout(location = 5) in vec4 color;

out vec4 aColor;

uniform mat4 viewProjMatrix;

void main() {

	aColor = color;
	gl_Position = viewProjMatrix * (modelMatrix * vec4(position, 1.0f));
}