#version 430 core

in vec3 TexCoord0;

layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BloomColor;

uniform samplerCube cubemapTexture;

void main()
{
    FragColor = vec4(texture(cubemapTexture, TexCoord0).rgb, 0.5f);
    float brightness = dot(FragColor.rgb, vec3(0.2126f, 0.7152f, 0.0722f));
	BloomColor = vec4(0.0f,0.0f,0.0f,0.0f);
} 